import {Component, OnInit} from '@angular/core';

@Component({
    selector: 'app-page-two',
    templateUrl: './page-two.component.html',
    styleUrls: ['./page-two.component.scss'],
})
export class PageTwoComponent implements OnInit {

    searchText = '';
    showHistory = false;
    history: Array<String> = JSON.parse(window.localStorage.getItem('history.two')) || [];
    constructor() {
    }

    ngOnInit() {
    }

    cancel() {
        this.searchText = '';
    }

    blur() {
        if (this.searchText) {
            if (this.history.length >= 10) {
                this.history.pop();
            }
            if (this.history.filter(item => { return item === this.searchText; }).length === 0) {
                this.history.push(this.searchText);
                window.localStorage.setItem('history.two', JSON.stringify(this.history));
            }
            console.log('此处进行查询操作');
        } else {
            console.log('取消查询');
        }
        this.showHistory = false;
    }
}
