import { Component, OnInit } from '@angular/core';
import { ApiService } from '../../service/api.service';

@Component({
  selector: 'app-page-four',
  templateUrl: './page-four.component.html',
  styleUrls: ['./page-four.component.scss'],
})
export class PageFourComponent implements OnInit {

  user;
  resp;
  constructor(private api: ApiService) { }

  ngOnInit() {
    this.getSelfInfo();
  }

  getSelfInfo() {
    this.api.user.getSelfInfo(['', (data) => {
      if (data) {
        console.log(data);
        this.user = JSON.stringify(data);
      } else {
        this.api.presentMsgToast(data && data.message ? data.message : '登录失败');
      }
    }]);
  }

  loginOut() {}
}
